Package twisted :: Package web :: Module server

[frames | no frames]

## Module twisted.web.server

This is a web-sever which integrates with the twisted.internet infrastructure.

Classes
`_RemoteProducerWrapper` |
`Request` |
`Session` | A user's session with a system.
`Site` |

Exceptions
`UnsupportedMethod` | Raised by a resource when faced with a strange request method.

Variable Summary
`int` | `NOT_DONE_YET` = 1
`tuple` | `supportedMethods` = `('GET', 'HEAD', 'POST')`
`str` | `version` = `'TwistedWeb/1.3.0rc1'`

Variable Details

### NOT_DONE_YET

  Type:
    `int`
  Value:

        1

### supportedMethods

  Type:
    `tuple`
  Value:

        ('GET', 'HEAD', 'POST')

### version

  Type:
    `str`
  Value:

        'TwistedWeb/1.3.0rc1'

Generated by Epydoc 2.0 on Sat May 15 20:08:26 2004 | http://epydoc.sf.net